Packager: Steffen Plotner
Summary: iscsitarget-tools 
Name: iscsitarget-tools
Version: 2.2
Release: 1.amherst
Epoch: 1
License: GPL
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch

Requires: iscsitarget >= 1.4.19
Provides: perl(iet-tools.conf)

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
iscsitarget tools to manage a running cluster and standalone iet configuration

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/iscsi-target

cp -av * $RPM_BUILD_ROOT/etc/iscsi-target

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/iscsi-target/ietd_config.sh
%config(noreplace) /etc/iscsi-target/targets.conf
%config(noreplace) /etc/iscsi-target/iet-tools.conf
/etc/iscsi-target/ddmap_bitmap.plx
/etc/iscsi-target/ietd_cluster.sh
/etc/iscsi-target/ietd_ddmap.sh
/etc/iscsi-target/ietd_iptables.sh
/etc/iscsi-target/ietd_lib.sh
/etc/iscsi-target/ietd_routing.sh
/etc/iscsi-target/ietd_service.sh
/etc/iscsi-target/ietd_targets.sh
/etc/iscsi-target/ietd_vg.sh

/etc/iscsi-target/iet-tools.plx
/etc/iscsi-target/iostat_top.sh
/etc/iscsi-target/lvm_cluster.sh

/etc/iscsi-target/session_top.sh
/etc/iscsi-target/targets_update.sh
/etc/iscsi-target/zfs_tools.sh

%pre

%post

%preun

%postun

%changelog
* Sun Jan 02 2011 Steffen Plotner <swplotner@amherst.edu>
- repackage for 2.0

* Wed May 28 2008 Steffen Plotner <swplotner@amherst.edu>
- repackage for 1.5

* Sat Dec 29 2007 Steffen Plotner <swplotner@amherst.edu>
- rewrite update.sh portions in perl to provide more flexible management

* Wed Feb 14 2007 Steffen Plotner <swplotner@amherst.edu>
- support for blockio and fileio LUNs

* Fri Dec 08 2006 Steffen Plotner <swplotner@amherst.edu>
- initial package

